Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.handler
Class AbstractHandler

    java.lang.Object
      org.codehaus.xfire.handler.AbstractHandler

All Implemented Interfaces:
  Handler

Direct Known Subclasses:
  AbstractBinding, AddressingHandler, AddressingInHandler, AddressingOutHandler, DispatchServiceHandler, FaultSender, FaultSoapSerializerHandler, HandlerPipeline, OutMessageSender, ParseMessageHandler, ReadHeadersHandler, SoapHttpTransport.FaultResponseCodeHandler, SoapSerializerHandler, ValidateHeadersHandler, XMPPFaultHandler

    public abstract class AbstractHandler

extends java.lang.Object
implements Handler

Since:
  Feb 18, 2004
Author:
  Dan Diephouse

Field Summary

Fields inherited from interface org.codehaus.xfire.handler.Handler
`ROLE`

Constructor Summary
`AbstractHandler()`

Method Summary
`java.lang.String` | `getPhase()` The phase which this handler would like to be in.
`java.lang.String[]` | `getRoles()` The roles which this service applies to.
`javax.xml.namespace.QName[]` | `getUnderstoodHeaders()` Returns null by default, indicating that no headers were understood.
`void` | `handleFault(XFireFault fault, MessageContext context)` Handles faults that occur in this handler.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.codehaus.xfire.handler.Handler
`invoke`

Constructor Detail

### AbstractHandler

    public AbstractHandler()

Method Detail

### getUnderstoodHeaders

    public javax.xml.namespace.QName[] getUnderstoodHeaders()

  Returns null by default, indicating that no headers were understood.

  Specified by:
    `getUnderstoodHeaders` in interface `Handler`
  Returns:
    null or an empty array if there are no headers.
  See Also:
    `Handler.getUnderstoodHeaders()`

### getRoles

    public java.lang.String[] getRoles()

  Description copied from interface: `Handler`
  The roles which this service applies to.

  Specified by:
    `getRoles` in interface `Handler`
  Returns:
    `null` or an empty if this endpoint handles no roles.

### getPhase

    public java.lang.String getPhase()

  Description copied from interface: `Handler`
  The phase which this handler would like to be in.

  Specified by:
    `getPhase` in interface `Handler`
  Returns:
  See Also:
    `Phase`

### handleFault

    public void handleFault(XFireFault fault,
                            MessageContext context)

  Description copied from interface: `Handler`
  Handles faults that occur in this handler. This is not responsible for actually writing the fault response message.

  Specified by:
    `handleFault` in interface `Handler`
  Parameters:
    `e` -
    `context` -
  See Also:
    `org.codehaus.xfire.handler.Handler#handleFault(java.lang.Exception, org.codehaus.xfire.MessageContext)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.